<div>
  <%= successful_action_msg(notice) %>
  <%= link_to 'Új könyv felvétele', new_book_path, class: 'btn btn-success' %>
  <%= link_to 'Új szerző felvétele', new_author_path, class: 'btn btn-success' %>
  <%= link_to 'Új kiadó felvétele', new_publisher_path, class: 'btn btn-success' %><br><br>

  <%= form_tag search_authors_path, :method => "get" do %>
    <div class="form-group">
      <label><b>Szerző keresése</b> - Szűrési feltételek </label>
      <table class="table" style="align-content: center">
        <tr>
          <td style="width: 50%"><%= text_field_tag(:first_name, params[:first_name], placeholder: "Keresztnév", class: "form-control") %></td>
          <td style="width: 50%"><%= text_field_tag(:last_name, params[:last_name], placeholder: "Vezetéknév", class: "form-control") %></td>
        </tr>

        <tr>
          <td colspan="2" style="width: 10%" >
            Találatok oldalanként
            <input id="per_page" name="per_page" min="3" max="10" type="number" class="form-control" value="<%= @per_page %>" style="width: 60px"/>
          </td>
        </tr>

        <tr>
          <td>
            <%= submit_tag "Keresés", class: "btn btn-primary" %>
          </td>
        </tr>

      </table>

    </div>
  <% end %>

  <% if @author_list.count == 0 %>
    <table class="table">
      <tr>
        <td scope="row">
          <%= show_author_message(params[:first_name], params[:last_name]) %>
        </td>
      </tr>
    </table>
  <% end %>

  <% unless @author_list.nil? || @author_list.empty? %>
    <table>
      <tr>
        <th scope="row">
          Találatok száma: <span style = "color: green"> <%= @author_list.count %> </span>
        </th>
      </tr>
    </table>
    <br>
    <table class="table">
      <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Keresztnév</th>
        <th scope="col">Vezetéknév</th>
        <th scope="col" colspan="3" width="25%" style="text-align:center">Műveletek</th>
      </tr>
      </thead>
      <tbody>

      <% list_size = @author_list.count %>
      <% @author_list.each_with_index do |author, idx| %>
        <%= set_row_background(idx) %>
        <th scope="row"> <%= current_index(idx, list_size, @current_page, @per_page) %> </th>
        <td> <%= h author.first_name if author %> </td>
        <td> <%= h author.last_name if author %> </td>
        <td> <%= link_to 'Megtekintés',  author_path(author.id), remote: true, class: 'btn btn-info' %> </td>
        <td> <%= link_to 'Szerkesztés', edit_author_path(author.id), class: 'btn btn-warning'%> </td>
        <td> <%= link_to 'Törlés', author_path(author.id),
                         class: 'btn btn-danger',
                         method: :delete,
                         data: { confirm: "Biztosan törli a következőt?\n
    Keresztnév: #{h author.first_name}
    Vezetéknév: #{h author.last_name}"} %></td>
        </tr>
      <% end %>
      </tbody>
    </table>
  <% end %>
</div>

<div class="row">
  <div class="col offset-4">
    <!-- ez a kódrészlet felel az egyes aloldalak linkként való megjelenítéséért -->
    <%= will_paginate @author_list, :previous_label => 'Előző', :next_label => 'Következő', renderer: WillPaginate::ActionView::Bootstrap4LinkRenderer %>
  </div>
</div>

<!-- MODAL MEGNYITASA JS-sel - megtekintés -->
<div id='author-content'></div>

<!-- https://dev.to/morinoko/adding-custom-javascript-in-rails-6-1ke6 -->
<%= javascript_pack_tag 'message_alerts' %>
